Skip to main content
`Ctrl`+`K`

# PetscFormKeySort

Sorts an array of `PetscFormKey` in place in increasing order.

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscFormKeySort(PetscInt n, PetscFormKey arr[])

Not Collective

## Input Parameters

- n - number of values

- arr - array of `PetscFormKey`

## See Also

`PetscFormKey`, `PetscIntSortSemiOrdered()`, `PetscSortInt()`

## Level

intermediate

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages